/**
 * License Agreement.
 *
 *  JBoss RichFaces 3.0 - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

package org.richfaces.util;

import org.ajax4jsf.tests.AbstractAjax4JsfTestCase;
import org.richfaces.component.UIColumn;

/**
 * @author Maksim Kaszynski
 *
 */
public class ColumnUtilTest extends AbstractAjax4JsfTestCase {
 
	private UIColumn column;
	
	public ColumnUtilTest(String name) {
		super(name);
	}

	public void setUp() throws Exception {
		super.setUp();
		column = (UIColumn) application.createComponent(UIColumn.COMPONENT_TYPE);
	}

	public void tearDown() throws Exception {
		column = null;
		super.tearDown();
	}

	/**
	 * Test method for {@link org.richfaces.util.ColumnUtil#getColumnSorting(org.richfaces.component.UIColumn)}.
	 */
	public void testGetColumnSorting() {
		String id = "aaa";
		column.setId(id);
		String expression = "#{aaaaaa.aaa}";
		String literal = "zzzzz";
		
		assertEquals(id, ColumnUtil.getColumnSorting(column));
		
		column.setValueBinding("sortExpression", application.createValueBinding(expression));
		
//		/externalContext.getRequestMap().put("aaaaaa", Collections.singletonMap("aaa", "000"));
		
		assertEquals(expression, ColumnUtil.getColumnSorting(column));
		column.setValueBinding("sortExpression", null);

		column.setSortExpression(literal);

		assertEquals(literal, ColumnUtil.getColumnSorting(column));
		
		
	}

}
